Skip to main content

AWS Cloud Connectivity - Create AWS credentials

Create AWS credentials for a project. The request requires the credential name, AWS apiKey, and secretKey. The optional expirationDate must use the YYYY-MM-DD format.

POST https://ope-obs.apibackbone.orange.com/evolutionplatform/aws/api/v1/projects/{projectId}/aws/credentials
Authorization: Bearer YOUR_ACCESS_TOKEN
Content-Type: application/json

Path parameters​

ParameterRequiredType
projectIdYesUUID of the project

Request body​

FieldRequiredTypeDescription
nameYesstringName for this set of AWS credentials
descriptionNostringDescription of the credentials
apiKeyYesstringAWS access key ID
secretKeyYesstringAWS secret access key
expirationDateNodate (YYYY-MM-DD)Credential expiration date
{
"name": "My AWS credentials",
"description": "Credentials for AWS Cloud Connectivity",
"apiKey": "YOUR_AWS_ACCESS_KEY_ID",
"secretKey": "YOUR_AWS_SECRET_ACCESS_KEY",
"expirationDate": "2027-03-10"
}

Successful response​

The API returns 201 Created. The response body contains the created credential metadata; it does not return the apiKey or secretKey.

{
"id": "d7ca5afe-5fae-c44a-dbe4-45e1d65325f1",
"name": "My AWS credentials",
"csp": "AWS",
"description": "Credentials for AWS Cloud Connectivity",
"projectId": "2046b30b-d49d-6b25-ca0a-ed08ea51f419",
"expirationDate": "2027-03-10"
}

The response also includes a Content-Location header containing the created credential ID.

Content-Location: <credentials_id>